* Encoding: UTF-8.
* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 1 - Ejercicio 1.3 **********************/.


** Preparación de los datos.
CD "~\Codigo".

* a) Lee el fichero cdv y guarda con otro nombre.
GET DATA /TYPE=TXT
  /FILE="datos1.csv"
  /DELCASE=LINE
  /DELIMITERS=","
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /VARIABLES=
  ID F1.0
  Pais A10
  Ingreso F5.0.
EXECUTE.
SAVE OUTFILE="datos1_modificados.sav".

* b) Renombra la variable “Ingreso” a “ingreso_anual” y modifica la variable “ingreso_anual” multiplicando todos sus valores por 1.1.
RENAME VARIABLES (Ingreso=ingreso_anual).
COMPUTE ingreso_anual = ingreso_anual * 1.1.
EXECUTE.

* c) Genera una nueva variable llamada “ingreso_mensual” que sea el ingreso anual dividido por 12.
COMPUTE ingreso_mensual = ingreso_anual / 12.
EXECUTE.

* d) Crea una tabla de frecuencias para las variables “Pais”, “ingreso_anual” e “ingreso_mensual”.
*Para visualizar los resultados, crea un gráfico de barras para cada una de las variables.
FREQUENCIES Pais.
FREQUENCIES ingreso_anual.
FREQUENCIES ingreso_mensual.
GRAPH /BAR(SIMPLE)=COUNT /X1=ingreso_anual /OPTIONS Y1ORIGIN=0.
GRAPH /BAR(SIMPLE)=COUNT /X1=ingreso_mensual /OPTIONS Y1ORIGIN=0.
GRAPH /BAR(SIMPLE)=COUNT /X1= Pais /OPTIONS Y1ORIGIN=0

* e) Tabla cruzada.
CROSSTABS /TABLES=Pais BY ingreso_mensual /CELLS=COLUMN /STATISTICS=CHISQ PHI.

