* Encoding: UTF-8.
* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 2 - Ejercicio 2.2 **********************/.

* Cambio al directorio de trabajo donce residen los datos.
CD "~\data".

* Lee un fichero de Stata y lo activa con el nombre ESE_ES.
GET STATA FILE='ESE-8sp.dta'.
DATASET ACTIVATE ESE_ES.

* Dejando el tercer valor (No tenía edad) del voto crúzalo según la religión). 
MISSING VALUES B13 (3 9).
CROSSTABS
  /TABLES=B13 BY C11
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT COLUMN RESID SRESID ASRESID 
  /COUNT ROUND CELL.

* Ahora cruza la participación electoral incluyendo los que no tenían edad con las prácticas previamente rcodificadas.
MISSING VALUES B13 (9).
RECODE C16 C17 (1 THRU 3=1) (4 THRU 6=2) (7=3) (ELSE=SYSMIS) INTO C16R C17R.
VARIABLE LABELS
    C16R "OFICIOS" /
    C17R "REZOS".
VALUE LABELS C16R C17R 1 "Al menos una vez a la semana" 2 "Menos de una vez a la semana" 3 "Nunca".
CROSSTABS
  /TABLES=C17R BY C16R
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=ASRESID 
  /COUNT ROUND CELL.

VARIABLE LABELS 
     C19A "Color o raza"
    /C19B "Nacionalidad"
    /C19C "Religión"
    /C19D "Idioma"
    /C19E "Grupo étnico"
    /C19F "Edad"
    /C19G "Género"
    /C19H "Sexualidad"
    /C19I  " Discapacidad"
    /C19J "Otros motivos".

* Definir conjuntos de respuestas múltiples con las variables C19A to C19J.
MRSETS
  /MDGROUP NAME=$Discriminación CATEGORYLABELS=VARLABELS VARIABLES=C19A TO C19J VALUE=1
  /DISPLAY NAME=[$Discriminación].

* Tabla personalizada que cruza la variable multirrespuesta $Discriminación consigo misma.
CTABLES
  /VLABELS VARIABLES=$Discriminación DISPLAY=LABEL
  /TABLE $Discriminación [COLPCT.COUNT PCT40.1] BY $Discriminación
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=$Discriminación  EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /COMPARETEST TYPE=PROP ALPHA=0.05 ADJUST=BONFERRONI ORIGIN=COLUMN INCLUDEMRSETS=YES 
    CATEGORIES=ALLVISIBLE MERGE=YES STYLE=APA SHOWSIG=YES.




