* Encoding: UTF-8.
* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 3 - Ejercicio 3.3 **********************/.

* Lectura de la base de datos.
CD "D:\Documentos\Sociocav\Trabajo\Proyectos\Coincidencias\Book\03. Medidas\Codigo".
DATASET ACTIVATE ConjuntoDatos1.
GET FILE='data\ESE-8sp.sav'.

* Declaración del fichero matriz de semejanzas.
DATASET DECLARE Jaccard.

*Cálculo de la matriz de semejanzas de Jaccard.
PROXIMITIES   P13_1 P13_2 P13_3 P13_4 P13_5
  /MATRIX OUT(Jaccard)
  /VIEW=VARIABLE
  /MEASURE=JACCARD(1, 2)
  /PRINT PROXIMITIES
  /STANDARDIZE=NONE.

* Elaboración de conglomerado jerárquico con el método de centroide.
CLUSTER
  /MATRIX IN(Jaccard)
  /METHOD CENTROID
  /PRINT SCHEDULE
  /PLOT DENDROGRAM HICICLE VICICLE.


* Elaboración de conglomerado jerárquico con el método de Ward.
CLUSTER
  /MATRIX IN(Jaccard)
   /METHOD WARD
   /PRINT SCHEDULE
   /PLOT DENDROGRAM HICICLE VICICLE.

Dataset Close Jaccard.

* Vuelve a activar los datos originales para el próximo cálculo de otra matriz de proximidad.
DATASET ACTIVATE ConjuntoDatos1.
* Declaración del fichero matriz de semejanzas.
DATASET DECLARE Euclidea.

*Cálculo de la matriz de semejanzas binarias Euclídeas.
PROXIMITIES   P13_1 P13_2 P13_3 P13_4 P13_5
  /MATRIX OUT(Euclidea)
  /VIEW=VARIABLE
  /MEASURE=BEUCLID(1, 2)
  /PRINT PROXIMITIES
  /STANDARDIZE=NONE.


* Elaboración de conglomerado jerárquico con el método de centroide.
CLUSTER
  /MATRIX IN(Euclidea)
  /METHOD CENTROID
  /PRINT SCHEDULE
  /PLOT DENDROGRAM HICICLE VICICLE.

* Elaboración de conglomerado jerárquico con el método de Ward.
CLUSTER
  /MATRIX IN(Euclidea)
   /METHOD WARD
   /PRINT SCHEDULE
   /PLOT DENDROGRAM HICICLE VICICLE.


Dataset Close Euclidea.





