# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# ****************************** Capítulo 3 - Ejercicio 3.1 **********************

# 3. Medidas de distancia ----

# Principales objetos:
# M: Marco de datos con matriz de incidencias. 10 casos y 8 variables binarias.
# Q: Transformación de M en un marco de datos con 8 variables-factor etiquetadas.
# C: Lista con matrices de semejanza.

## a) Preparativos ----
### Carga de paquetes ----
library(xlsx)
library(netCoin)
### Lectura de datos ----
M <- read.xlsx("data/datos.xlsx", sheetName="data")
### Asignación de etiquetas ----
Q <- as.data.frame(lapply((M), factor, levels=c(1,0), labels=c("Sí", "No")))
names(Q) <- c("Generales", "Locales", "TV", "Internet", "Recuerdo", "Intención", "Caza", "Eutanasia")

## b) Tabulación ----
## Locales por Generales ----
ftable(Q[,c("Locales", "Generales")])
## Internet por TV ----
ftable(Q[,c("Internet", "TV")])
## Intención por Recuerdo ----
ftable(Q[,c("Intención", "Recuerdo")])
## Caza por Eutanasia ----
ftable(Q[,c("Caza", "Eutanasia")])

## c) Cáculo de medidas de semejanza ----
C <- sim(M, c("x","j","d","a","o","k", "m","t", "g", "r","s", "and", "ham", "y", "p"))
C$relative/100
C$Jaccard

# d) Grabación de resultados en una hoja de cálculo
## Limpieza de la hoja de cálculo ----
W <- loadWorkbook("data/Medidas.xlsx")
removeSheet(W,"Pearson")
removeSheet(W,"Jaccard")
removeSheet(W,"Mixta")
saveWorkbook(W,file="Medidas.xlsx")

## Escritura en la hoja de cálculo ----
write.xlsx(C$Pearson,file="Medidas.xlsx",sheet="Pearson", append = TRUE)
write.xlsx(C$Jaccard,file="Medidas.xlsx",sheet="Jaccard", append = TRUE)
write.xlsx(cbind(C$relative[,1:2]/100,C$Jaccard[,3:4],C$matching[,5:6],C$Hamann[,7:8]),file="Medidas.xlsx",sheet="Mixta", append = TRUE)
