* Encoding: UTF-8.

* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 4 - Ejercicio 4.3 **********************/.

* Lectura de la base de datos.
CD "D:\Documentos\Archivos\Trabajo\Proyectos\Coincidencias\Book\04. Graficos\Codigo\".
GET  STATA FILE='.\data\Unamunox.dta'.
DATASET NAME UNAMUNO.

* Definir conjuntos de respuestas múltiples.
MRSETS
  /MDGROUP NAME=$Familia CATEGORYLABELS=VARLABELS VARIABLES=Unamuno Lizarraga Fernando Pablo Salome 
    Felisa Jose Maria Rafael Ramon VALUE=1
  /DISPLAY NAME=[$Familia].

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=$Familia DISPLAY=LABEL
  /TABLE $Familia [COUNT F40.0] BY $Familia
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=$Familia  EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

DATASET ACTIVATE ConjuntoDatos1.
* Generador de gráficos.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=$Familia[name="_Familia"] COUNT()[name="COUNT"] 
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: Familia=col(source(s), name("_Familia"), unit.category())
  DATA: COUNT=col(source(s), name("COUNT"))
  GUIDE: axis(dim(1), label("$Familia"))
  GUIDE: axis(dim(2), label("Recuento"))
  GUIDE: text.title(label("Barras simples Recuento de $Familia"))
  SCALE: cat(dim(1), include("Felisa", "Fernando", "Jose", "Lizarraga", "Maria", "Pablo"
, "Rafael", "Ramon", "Salome", "Unamuno"))
  SCALE: linear(dim(2), include(0))
  ELEMENT: interval(position(Familia*COUNT), shape.interior(shape.square))
END GPL.


VALUE LABELS UNAMUNO 1 "Unamuno"/ LIZARRAGA 1 "Lizárraga" / FERNANDO 1   "Fernando"/
                               PABLO 1 "Pablo" / SALOME 1 "Salomé" / FELISA 1 "Felisa"/ 
                               JOSE 1 "José"/ MARIA 1 "María"/RAFAEL 1 "Rafael"/ RAMON 1 "Ramón".

MISSING VALUES Unamuno to Ramon(0).


RELATIONSHIP MAP Unamuno Lizarraga Fernando Pablo Salome Felisa Jose Maria Rafael Ramon
  /OPTIONS MINNODE=5 MAXNODE= 50 MINLINK=0.01 MAXLINK=5  LAYOUT=circle LABELBOTTOM=0 LABELTOP=0 
    HIDESMALL=3 GROUPLINKS=No
  /MISSING SCOPE=PAIRWISE CLASSMISSING=EXCLUDE.


