* Encoding: UTF-8.

* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 5 - Ejercicio 5.1 **********************/.

** Lectura de los datos.
CD "D:\Documentos\Archivos\Trabajo\Proyectos\Coincidencias\Book\05. Regresion\Codigo\".
GET STATA FILE="data\ess9m.dta".
DATASET NAME ESS9 WINDOW=FRONT.

** Inversión de las variables de la escala de Schwartz. 
DO REPEAT    VARIABLES= ipcrtiv TO impfun/ 
                          VALORES   = Creatividad Riqueza Igualitarismo Popularidad Seguridad Novedad Obediencia Empatía Modestia Diversión 
                          Independencia Ayuda Éxito Autoridad Riesgo Educación Respeto Fidelidad Ambientalismo Costumbre Placer.
COMPUTE  VALORES=6-VARIABLES.
END REPEAT.

** a) Obtención de estadísticos descriptivos y correlaciones.
DESCRIPTIVES VARIABLES=Creatividad to Placer
  /STATISTICS=MEAN STDDEV KURTOSIS SKEWNESS.


CORRELATIONS
  /VARIABLES=Creatividad to Placer
  /PRINT=NOSIG FULL
  /STATISTICS DESCRIPTIVES XPROD
  /MISSING=PAIRWISE.

** b) Obtención de análisis factoriales.
** b1) Componentes principales.

FACTOR
  /VARIABLES= Creatividad to Placer
  /MISSING LISTWISE 
  /ANALYSIS Creatividad    to Placer
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT SORT BLANK(.30)
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25) DELTA(0)
  /ROTATION NOROTATE
  /METHOD=CORRELATION.

** b2) Ejes principales con rotación varimax.
FACTOR
  /VARIABLES= Creatividad to Placer
  /MISSING LISTWISE 
  /ANALYSIS Creatividad    to Placer
  /PRINT INITIAL EXTRACTION ROTATION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PAF
  /CRITERIA ITERATE(25) DELTA(0)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

** b3) Ejes principales con rotación oblimin.
FACTOR
  /VARIABLES= Creatividad to Placer
  /MISSING LISTWISE 
  /ANALYSIS Creatividad    to Placer
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT SORT BLANK(.30)
  /CRITERIA ITERATE(25)
  /EXTRACTION PAF
  /CRITERIA ITERATE(25) DELTA(0)
  /ROTATION OBLIMIN
  /METHOD=CORRELATION.



