# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# ****************************** Capítulo 5 - Ejercicio 5.2 **********************

# 5. Gráfos de correlación y regresión ----

# Principales objetos:
# Schwartz: Respuestas a los 21 ítems de la escala de Schwartz emitidas por la muestra de europeos.
# Scale: Características de los 21 ítems de la escala de Schwarta.

## Preparativos ----
library(netCoin)
# source("netCorr.R")
# Carga de datos
load("data/Schwartz.RData")

## a) Grafo de correlaciones ----
netCorr(Schwartz) |> 
plot(dir="d:/temp")

## b) Grafo de correlaciones con características añadidas ----
netCorr(Schwartz, nodes=Scale, language="es", label="Etiqueta", color="Tipo", zoom=2) |> 
plot(dir="d:/temp")

## c) Grafo bipolar de correlaciones. ----
netCorr(Schwartz, nodes=Scale, language="es", 
        label="Etiqueta", color="Tipo", zoom=2,
        lcolor="value", linkBipolar=TRUE, maxL=1) |>
plot(dir="d:/temp")

## d) Grafo de correlaciones filtradas por valor ----
netCorr(Schwartz, nodes=Scale, language="es", 
        label="Etiqueta", color="Tipo", zoom=2,
        lcolor="value", linkBipolar=TRUE, maxL=1,
        linkFilter="value > .30 | value < 0") |>
plot(dir="~/temp")

## e) Grafo múltiple de correlaciones con cuatro diferentes filtros. ----
C1 <- netCorr(Schwartz, nodes=Scale, language="es", 
              label="Etiqueta", color="Tipo", 
              controls=NULL, showLegend=FALSE,
              degreeFilter=1, linkFilter="value > .20")
C2 <- netCorr(Schwartz, nodes=Scale, language="es", 
              label="Etiqueta", color="Tipo", 
              controls=NULL, showLegend=FALSE,
              degreeFilter=1, linkFilter="value > .31")
C3 <- netCorr(Schwartz, nodes=Scale, language="es", 
              label="Etiqueta", color="Tipo", 
              controls=NULL, showLegend=FALSE,
              degreeFilter=1, linkFilter="value > .32")
C4 <- netCorr(Schwartz, nodes=Scale, language="es", 
              label="Etiqueta", color="Tipo", 
              controls=NULL, showLegend=FALSE,
              degreeFilter=1, linkFilter="value > .44")
multigraphCreate("r mayor de 0.20"=C1, "r mayor de 0,31"=C2, "r mayor de 0,32"= C3, "r mayor de 0,44"=C4,
                 mode="parallel", mfrow=c(2,2)) |> plot("~/temp")
