# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# ****************************** Capítulo 6 - Ejercicio 6.1 **********************

# Gráficos de coincidencias ----

## Preparativos ---
library(netCoin)
library(haven)


S <- as_factor(read_dta("../Codigo/Data/Simpson.dta"))
S

## a) Tabla de frecuencias y porcentajes ----
xtabs(S$f~S$Vive+S$Tratado+S$Sexo)
prop.table(xtabs(S$f~S$Vive+S$Tratado+S$Sexo), margin=c(2,3))*100

## b)  Grafo de coincidencias ----
surCoin(S, weight = "f", color="variable", maxL=.05) |> plot(dir= "~/temp")

## c) Modelo log-lineal  ----
logCoin(S, weight = "f", showArrows=T)  |> plot(dir= "~/temp")

## d) Modelo log-lineal sin primeras categorías ----
logCoin(S, weight = "f", showArrows=T, noFirst=c("Tratado","Vive"))  |> plot(dir= "~/temp")

