********************************************************************************
*************** Redes analíticas. Grafos de coincidencias y regresión **********
********************************************************************************
****************************** Madrid. CIS. 2023 *******************************
********************************************************************************
****************************** Capítulo 6 - Ejercicio 6.3 **********************

**** Pasos previos ****
version 17
* ssc install ipf
* ssc install gipf
use "data/cis3190.dta", clear

**** a) Preparación de los datos
clonevar sexo=p44
recode p45 (min/29=1 "Joven") (30/64= 2 "Adulto") (65/max=3 "Mayor"), into(edad)
recode p13_4 (2=1 "No") (1=2 "Sí") (8=.x "No sabe") (9=.y "No contesta"), into(opina) label(opina)
contract opina edad sexo if !missing(opina)

**** b) Cálculo de la bondad del modelo sin interacciones
ipf [w=_freq], fit(sexo*edad+sexo*opina+edad*opina)
* Representación del modelo (solo variables)
gipf, model(opina*sexo+opina*edad+edad*sexo)

**** c) Modelo nulo  
poisson _freq opina edad sexo
predict expected

**** d) Modelo de completa asociación
poisson _freq opina##edad opina##sexo edad##sexo
predict expected2

**** e) List de frecuencia de la tabla de 3 variables con valores esperados de los dos anteriores modelos
list 

**** f) Contrastes  de parámetros respecto de la media
**logarítmicos
contrast g.opina#g.edad g.opina#g.sexo g.edad#g.sexo, nowald
** exponenciados
contrast g.opina#g.edad g.opina#g.sexo g.edad#g.sexo, nowald eform
