* Encoding: UTF-8.

* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 6 - Ejercicio 6.4 **********************/.

** Preparación de los datos.
GET FILE='Data\CIS3190.sav'.
output close all.

MISSING VALUES P13_1 to P13_4 (8 9).
RECODE P45 (LO THRU 30=1) (31 THRU 65=2) (66 THRU HI=3) INTO EDAD.
VALUE LABELS EDAD 1 "J?venes" 2 "Adultos" 3 "Mayor".
RENAME VARIABLES (P44 P13_3 = GENERO OPINA).

** a) Tabla cruzada de opini?n por edad y genero.
CROSSTABS
  /TABLES=OPINA BY EDAD BY GENERO
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT 
  /COUNT ROUND CELL.

** b) Preparación del hiloglinear.
HILOGLINEAR GENERO(1 2) EDAD(1 3) OPINA (1 2)
  /METHOD=BACKWARD
  /CRITERIA MAXSTEPS(10) P(.05) ITERATION(20) DELTA(0)
  /PRINT=FREQ RESID ASSOCIATION ESTIM
  /DESIGN.

** c) Preparación del genlog.
GENLOG GENERO EDAD OPINA
  /MODEL=POISSON
  /PRINT=FREQ RESID ADJRESID ZRESID DEV ESTIM CORR COV
  /PLOT=NONE
  /CRITERIA=CIN(95) ITERATE(20) CONVERGE(0.001) DELTA(0)
  /DESIGN GENERO*EDAD GENERO*OPINA EDAD*OPINA.














