********************************************************************************
*************** Redes analíticas. Grafos de coincidencias y regresión **********
********************************************************************************
****************************** Madrid. CIS. 2023 *******************************
********************************************************************************
****************************** Capítulo 7 - Ejercicio 7.3 **********************

**** Pasos previos ****
version 17
** net install coin, from(http://casus.usal.es/stata)
use "data\cis3190.dta", clear

**** a) Preparación de los datos ****
recode p13_* (2=0 "No") (1=1 "Sí") (8=.x "No sabe") (9=.y "No contesta"), into(Familia Subsidio Municipales Generales Nacionalidad) label(p13)
label var Familia "Traer familia"
label var Subsidio "Cobrar subsidio"
label var Municipales "Votar municipales"
label var Generales "Votar generales"
label var Nacionalidad "Obtener nacionalidad"

**** b) Gráfico de coincidencias: disposición circular
coin Familia-Nacionalidad, graph(circle) levels(.01 .001 .0001)

**** c) Gráfico de coincidencias: escalamiento multidimensional
coin Familia-Nacionalidad, graph(mds) levels(.01 .001 .0001)

**** d) Gráfico de coincidencias: análisis de correspondencias
coin Familia-Nacionalidad, graph(ca) levels(.01 .001 .0001)
// Gráfico de coincidencias: componentes principales
coin Familia-Nacionalidad, graph(pc) levels(.01 .001 .0001)

**** e) Gráfico de coincidencias: biplot
coin Familia-Nacionalidad, graph(biplot) levels(.01 .001 .0001)

**** f) Gráfico de coincidencias: Fruchterman y Reingold 
coin Familia-Nacionalidad, graph(fruch) levels(.01 .001 .0001)

